

def register_colormaps(colormaps):

    # Register cmasher
    try:
        import cmasher as cma
        for name, cmap in cma.cm.cmap_d.items():
            try:
                colormaps.register(name=name, cmap=cmap)
            except ValueError:
                pass
    except ImportError:
        pass

    # Register cmocean
    try:
        import cmocean as cmo
        for name, cmap in cmo.cm.cmap_d.items():
            try:
                colormaps.register(name=name, cmap=cmap)
            except ValueError:
                pass
    except ImportError:
        pass

    # Register cmcrameri
    try:
        import cmcrameri as cmc
        for name, cmap in cmc.cm.cmaps.items():
            try:
                colormaps.register(name=name, cmap=cmap)
            except ValueError:
                pass
    except ImportError:
        pass
